Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 12 Jun 2021 05:10:16 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I made an ordered on the 12th of May using click and collect option  and till now the order is not ready to be collected. I contacted you through your call center but all the agents promised me that it would be ready soon. A very bad experience with your online service and very bad handling my issue and I feel like you do not have a customer service because simply it is poor and useless. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2629266